Subject: [bug#67512] Feedback for Librewolf package

From: Ian Eure <[email-masked]>
Date: Fri, 15 Mar 2024 07:05:18 -0700

Hi Romain,

This is indeed a bug, I was missing parens around a string-append 
call, which broke the preferences file.  I saw the error you 
mention, but thought my user preferences were broken in some way 
by the many short-lived local builds I’ve run.

I’ll have a fixed patch soon.  Thank you very much for taking the 
time to try things out and letting me know about this problem.

  — Ian

Romain Garbage <[email-masked]> writes:

> Hello,
>
> I tested the v5 of the patch series, applied on guix master 
> 0547fe862c.
>
> Both patches apply and compile cleanly.
>
> I then launched Librewolf through `./pre-inst-env guix shell 
> librewolf -- librewolf`.
>
> I got an error window with the following error message: 
> "Configuration
> Error: Failed to read the configuration file. Please contact 
> your
> system administrator."
>
> and the following error messages in console:
>
> ```
> JavaScript error: librewolf.cfg, line 545: SyntaxError: missing 
> ) in parenthetical
> JavaScript warning: resource://services-settings/Utils.sys.mjs, 
> line 57: unreachable code after return statement
> console.error: "formatURLPref: Couldn't get pref: " 
> "startup.homepage_welcome_url.additional"
> console.error: "Ignoring protocol handler for mailto without a 
> uriTemplate!"
> console.error: ({})
> JavaScript error: 
> resource://activity-stream/lib/TelemetryFeed.jsm, line 1066: 
> Error: Failed to load chrome://pocket/content/pktApi.sys.mjs
> JavaScript error: resource://gre/modules/PromiseWorker.sys.mjs, 
> line
> 96: Error: Could not get children of
> file(/home/romain/.librewolf/rhx67hr4.default/thumbnails) 
> because it
> does not exist
> console.error: "about:home startup cache construction failed:" 
> (new
> TypeError("sectionOrder is undefined",
> "resource://activity-stream/data/content/activity-stream.bundle.js",
> 7802))
> console.error: "update.locale" " file doesn't exist in either 
> the application or GRE directories"
> console.error: services.settings: 
>   main/search-config Signature failed InvalidSignatureError: 
>   Invalid
> content signature (main/search-config) using
> 'remote-settings.content-signature.mozilla.org-2024-04-09-14-36-39.chain'
> console.error: services.settings: 
>   main/search-config local data was corrupted
> console.warn: services.settings: main/search-config Signature 
> verified failed. Retry from scratch
> ```
>
> After closing the error window, the browser launched properly 
> and could be used to browse the web.
>
> I closed it and launched it again and got the same error window, 
> then the browser started again (same behaviour).
>
> I tried to install an add-on from `about:addons`, I got 
> redirected to
> https://addons.mozilla.org eventhough gnuzilla.gnu.org is 
> mentioned in
> the search bar.
> The Firefox addons website doesn't recognise Librewolf as a 
> Firefox
> compatible browser and suggests to install Firefox instead of 
> the
> addon installation.
>
> I don't know if these issues are related to the guix package, 
> although
> I have been using Librewolf in NixOS during one year as a daily 
> driver
> and never ran into these issues.
>
> If you need more testing or details, feel free to ask :)
>
> Have a nice day,
> Romain
>